=== examples/osgclip/CMakeLists.txt ===
#this file is automatically generated

SET(TARGET_SRC osgclip.cpp )
SET(TARGET_ADDED_LIBRARIES osgText )

#### end var setup  ###
SETUP_EXAMPLE(osgclip)
