=== examples/osgcomputeshaders/CMakeLists.txt ===
SET(TARGET_SRC osgcomputeshaders.cpp)
SETUP_EXAMPLE(osgcomputeshaders)
