=== examples/osgdepthpartition/CMakeLists.txt ===
SET(TARGET_SRC osgdepthpartition.cpp )

#### end var setup  ###
SETUP_EXAMPLE(osgdepthpartition)
