=== examples/osghud/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osghud.cpp )
SET(TARGET_ADDED_LIBRARIES osgManipulator )
#### end var setup  ###
SETUP_EXAMPLE(osghud)
