=== examples/osglightpoint/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osglightpoint.cpp )
SET(TARGET_ADDED_LIBRARIES osgSim )
#### end var setup  ###
SETUP_EXAMPLE(osglightpoint)
