=== examples/osgmotionblur/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osgmotionblur.cpp )
#### end var setup  ###
SETUP_EXAMPLE(osgmotionblur)
