=== examples/osgsequence/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osgsequence.cpp )
#### end var setup  ###
SETUP_EXAMPLE(osgsequence)
