=== examples/osgsidebyside/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osgsidebyside.cpp)
SET(TARGET_ADDED_LIBRARIES osgSim ) 
#### end var setup  ###
SETUP_EXAMPLE(osgsidebyside)
