=== examples/osgsimplifier/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osgsimplifier.cpp )
#### end var setup  ###
SETUP_EXAMPLE(osgsimplifier)
