=== debian/changelog ===
openscenegraph (3.6.4+dfsg1-3build2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:14:28 +0100

openscenegraph (3.6.4+dfsg1-3build1) focal; urgency=medium

  * No-change rebuild for gdal soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 14:31:36 +0000

openscenegraph (3.6.4+dfsg1-3) unstable; urgency=medium

  * Patch: make osg consider ffmpeg for opening video files.  Thanks Arnab
    Rana for reporting (Closes: #945598).

 -- Alberto Luaces Fernández <aluaces@udc.es>  Thu, 05 Dec 2019 12:25:58 +0100

openscenegraph (3.6.4+dfsg1-2) unstable; urgency=medium

  * Address the compilation warnings about risky implicitly defined copy
    constructors and operators.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Thu, 07 Nov 2019 18:18:48 +0100

openscenegraph (3.6.4+dfsg1-1) experimental; urgency=medium

  [ Alberto Luaces Fernández ]
  * New upstream release.
  * Dependency on Qt upgraded from version 4 to 5 (Closes: #875075).

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 17 Oct 2019 00:10:47 +0200
