=== debian/control ===
Source: openscenegraph
Maintainer: Alberto Luaces Fernández <aluaces@udc.es>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               doxygen,
               help2man,
               libgif-dev,
               libjpeg-dev,
               libtiff-dev,
               lib3ds-dev,
               libfreetype6-dev,
               libpng-dev,
               libcoin-dev,
               libgdal-dev,
               libx11-dev,
               libxmu-dev,
               freeglut3-dev,
               libgl1-mesa-dev | libgl-dev,
               libxine2-dev,
               libavcodec-dev,
               libswscale-dev,
               libavdevice-dev,
               libavresample-dev,
               librsvg2-dev,
               libpoppler-glib-dev,
               liblua5.2-dev,
               libcollada-dom2.4-dp-dev,
               libboost-filesystem-dev
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openscenegraph-team/openscenegraph-3.2
Vcs-Git: https://salsa.debian.org/openscenegraph-team/openscenegraph-3.2.git
Homepage: http://www.openscenegraph.org/

Package: libopenthreads-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libopenthreads21 (= ${binary:Version})
Description: Object-Oriented (OO) thread interface for C++, development files
 This library is intended to provide a minimal & complete Object-Oriented (OO)
 thread interface for C++ programmers, used primarily in OpenSceneGraph.  It is
 loosely modeled on the Java thread API, and the POSIX Threads standards.
 .
 This package contains the development headers.

Package: libopenthreads21
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Object-Oriented (OO) thread interface for C++, shared libs
 This library is intended to provide a minimal & complete Object-Oriented (OO)
 thread interface for C++ programmers, used primarily in OpenSceneGraph.  It is
 loosely modeled on the Java thread API, and the POSIX Threads standards.
 .
 This package contains the shared libraries.

Package: libopenscenegraph-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libopenthreads-dev,
         libgl1-mesa-dev | libgl-dev,
         libgles2-mesa-dev,
         libglu-dev,
         libopenscenegraph160 (= ${binary:Version})
Suggests: openscenegraph-doc,
          openscenegraph-examples
Conflicts: libopenscenegraph-dev, libopenscenegraph-3.4-dev
Description: 3D scene graph, development files
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains the development headers.

Package: libopenscenegraph160
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: 3D scene graph, shared libs
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains the shared libraries.

Package: openscenegraph-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libjs-jquery
Description: 3D scene graph, documentation
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains the documentation.

Package: openscenegraph
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: openscenegraph
Description: 3D scene graph, utilities and examples (binaries)
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains utilities and examples (binaries).

Package: openscenegraph-examples
Architecture: all
Depends: ${misc:Depends}
Conflicts: openscenegraph-examples
Description: 3D scene graph, examples (sources)
 A portable, high level graphics toolkit for the development of high performance
 graphics applications such as flight simulators, games, virtual reality or
 scientific visualization.  Providing an object orientated framework on top of
 OpenGL, it frees the developer from implementing and optimizing low level
 graphics calls, and provide many additional utilities for rapid development of
 graphics applications.
 .
 This package contains examples (sources).
