## openscenegraph 3.6.5%2Bdfsg1

=== examples/osggpx/CMakeLists.txt ===

SET(TARGET_SRC osggpx.cpp )

#### end var setup  ###
SETUP_EXAMPLE(osggpx)
