=== examples/osgterrain/CMakeLists.txt ===
SET(TARGET_SRC
    osgterrain.cpp
)

SET(TARGET_ADDED_LIBRARIES osgTerrain osgFX)

#### end var setup  ###
SETUP_EXAMPLE(osgterrain)
