=== src/osgWrappers/serializers/osgVolume/CMakeLists.txt ===
FILE(GLOB TARGET_SRC *.cpp)
FILE(GLOB TARGET_H *.h)

SET(TARGET_ADDED_LIBRARIES osgVolume )

#### end var setup  ###
SETUP_PLUGIN(osgvolume)
