=== examples/osganimationmorph/CMakeLists.txt ===
SET(TARGET_SRC osganimationmorph.cpp )
SET(TARGET_ADDED_LIBRARIES osgAnimation )
SETUP_EXAMPLE(osganimationmorph)
