=== examples/osgbindlesstext/CMakeLists.txt ===
SET(TARGET_SRC osgbindlesstext.cpp )
SETUP_EXAMPLE(osgbindlesstext)
