=== examples/osgblendequation/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osgblendequation.cpp )
SET(TARGET_ADDED_LIBRARIES osgGA )
#### end var setup  ###
SETUP_EXAMPLE(osgblendequation)
