=== examples/osgcallback/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osgcallback.cpp )
#### end var setup  ###
SETUP_EXAMPLE(osgcallback)
