=== examples/osgcatch/CMakeLists.txt ===
#this file is automatically generated 


SET(TARGET_SRC osgcatch.cpp )
SET(TARGET_ADDED_LIBRARIES osgParticle )
#### end var setup  ###
SETUP_EXAMPLE(osgcatch)
