=== examples/osgdatabaserevisions/CMakeLists.txt ===
SET(TARGET_SRC osgdatabaserevisions.cpp )

#### end var setup  ###
SETUP_EXAMPLE(osgdatabaserevisions)
