=== examples/osgdeferred/CMakeLists.txt ===
SET(TARGET_SRC 
    osgdeferred.cpp
)

SET(TARGET_H
    osgdeferred.h
)

SET(TARGET_ADDED_LIBRARIES osgShadow)

#### end var setup  ###
SETUP_EXAMPLE(osgdeferred)
