=== debian/changelog ===
openscenegraph (3.6.5+dfsg1-11build1) resolute; urgency=medium

  * No-change rebuild for libgdal37.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 30 Oct 2025 20:54:05 +0000

openscenegraph (3.6.5+dfsg1-11) unstable; urgency=medium

  * Updated minimum cmake policy version to 3.5 (Closes: 1113365)

 -- Alberto Luaces Fernández <aluaces@udc.es>  Mon, 29 Sep 2025 08:41:21 +0200

openscenegraph (3.6.5+dfsg1-10) unstable; urgency=medium

  * Update obsolete dependencies.
  * Update standards version to 4.7.0.
  * Remove duplicate copyright assignments.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Wed, 29 Jan 2025 13:34:14 +0100

openscenegraph (3.6.5+dfsg1-9) unstable; urgency=medium

  * Update lua dependency. (Closes: 1050599)
  * Allow cross compiling from source avoiding runtime tests. Thanks to
    Helmut Grohne (Closes: 1086158)

 -- Alberto Luaces Fernández <aluaces@udc.es>  Mon, 06 Jan 2025 19:44:15 +0100

openscenegraph (3.6.5+dfsg1-8) unstable; urgency=medium

  * Drop ffmpeg dependency, since currently there is no upstream support
    for it.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Mon, 24 Oct 2022 10:27:16 +0200

openscenegraph (3.6.5+dfsg1-7) unstable; urgency=medium

  [ Alberto Luaces ]
  * Added patch for spelling fixes submitted upstream.

  [ Debian Janitor ]
  Apply multi-arch hints.

  * libopenscenegraph-dev, libopenthreads-dev: Add Multi-Arch: same.
  * openscenegraph-doc, openscenegraph-examples: Add Multi-Arch: foreign.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Mon, 09 Nov 2020 17:06:41 +0100

openscenegraph (3.6.5+dfsg1-6) unstable; urgency=low

  * Replace avresample by swresample.  No modifications are needed since
    it is not used directly in the code. (Closes: #971320)
  * Update Doxygen configuration file according to the warnings it issues.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Tue, 29 Sep 2020 13:17:01 +0200

openscenegraph (3.6.5+dfsg1-5) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Tue, 01 Sep 2020 16:57:29 +0200

openscenegraph (3.6.5+dfsg1-4) unstable; urgency=medium

  * Backported patch for reducing console verbosity.  Thanks Bret Curtis!
  * Upload only the source package to be able to migrate to testing
    (Closes: #961997).

 -- Alberto Luaces Fernández <aluaces@udc.es>  Thu, 04 Jun 2020 18:03:36 +0200

openscenegraph (3.6.5+dfsg1-3) unstable; urgency=medium

  * Re-upload with a signature from a non-expired key.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Sun, 03 May 2020 19:31:09 +0200

openscenegraph (3.6.5+dfsg1-2) unstable; urgency=medium

  * Backport a patch from 3.6.6 to deal with malformed TGA files.  Thanks
    Bret Curtis!
  * Remove -Wl,--as-needed as per lintian recommendation.
  * Hardening flags are now set with dpkg-buildflags.
  * Move to unstable.

 -- Alberto Luaces Fernández <aluaces@udc.es>  Fri, 01 May 2020 13:12:04 +0200

openscenegraph (3.6.5+dfsg1-1) experimental; urgency=medium

  [ Alberto Luaces Fernández ]
  * xine plugin is not needed anymore.
  * New upstream version 3.6.5+dfsg1 (Closes: #945875).
  * Soname bumped for new version.
  * Discard ffmpeg patch, already in upstream.
  * Update to debhelper 12.  Some install files had to be adjusted.
  * Doxygen configuration file updated.
  * debian/rules: remove --parallel since it is now redundant.
  * Update policy to 4.5.0.
  * Update spelling fixes patch.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 14 Apr 2020 23:50:53 +0200
