=== debian/rules ===
--- 
+++ 
@@ -1,27 +1,15 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-#export DH_OPTIONS=-v
-
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-
 # At the moment, CMake discards CPPFLAGS, so we have to add its value
-# to C{,XX}FLAGS variables
-
-CFLAGS += $(CPPFLAGS)
-CXXFLAGS += $(CPPFLAGS)
+# to C{,XX}FLAGS variables per https://wiki.debian.org/Hardening
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS) -Wno-overloaded-virtual
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 %:
-	dh $@ --buildsystem cmake --parallel
-
-# Use override_dh_* targets to customize this.
-
-CFLAGS := ${CFLAGS} ${ARCH_C_FLAGS}
-CXXFLAGS := ${CXXFLAGS} ${ARCH_CXX_FLAGS}
-
-LDFLAGS += -Wl,--as-needed
+	dh $@ --buildsystem cmake
 
 GRAB_VERSION_COMMAND := sed -n '1s~[^(]*(\(.*\)-.*).*~\1~p' debian/changelog | sed  's~+dfsg.*~~'
 VERSION := $(shell $(GRAB_VERSION_COMMAND))
@@ -43,12 +31,12 @@
 
 	# Add here commands to clean up after the build process.
 	rm -fr build
-	rm -f ${MANPAGES} 
+	rm -f ${MANPAGES}
 	rm -fr html
 	rm -f doxygen_sqlite3.db
 	rm -f debian/libopenscenegraph$(SONAME_VERSION).lintian-overrides
 
-	dh_clean 
+	dh_clean
 
 MANPAGES = \
 	${MANAPPLICATIONS} \
@@ -260,3 +248,4 @@
 		-DCMAKE_RELWITHDEBINFO_POSTFIX="" \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		-DOSG_USE_LOCAL_LUA_SOURCE:BOOL=OFF \
+		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
