=== debian/watch ===
version=4
opts="dversionmangle=s/.dfsg\d+//, \
     filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
     https://github.com/openscenegraph/OpenSceneGraph/tags \
     (?:.*?/)?OpenSceneGraph-(3.6.[\d.]*)\.tar\.gz debian uupdate
